\version "2.13.48"

IVChoralPieceName = "4. Choral"
IVChoralPieceNameTacet = "4. Choral tacet"

IVChoralKey = \key b \major
IVChoralTimeSignature = \time 3/4

IVChoralSettings = \notemode {
  \override Staff.TimeSignature #'style = #'single-digit
  \override TupletBracket #'bracket-visibility = ##f
  \set tupletSpannerDuration = #(ly:make-moment 1 4)
  \override TupletNumber #'stencil = ##f
}


IVChoralVIMusic = \relative c'' {
  \times 2/3 { 
    \repeat unfold 2 {
      f8[( es) d] d[ es f] es[( d) c]  | % 2
      d[( c) b] b[ c d] c[( b) a]  | % 3
      b16[( c d es) f8] a,[ c f] b,[( a) b] | % 4
      c16[( b a g) f8] c'[ d es] d16[( c d es) f8] | % 5
      g,[ a b] c16[( b a b) c8] f,[ b d] | % 6
      a8[ f16( g a b]) c8[ d es] d[ c b] | % 7
      g'[( f) f] g[( f) f] d16[( c d es) f8] | % 8
      d16[( c d es) f8] a,[ g f] b[ a g] | % 9
      g'16[( f eis d) c8] c[ eis g] a[ g f] | % 10
      d16[( c d eis) f8] b,16[( a b c) d8] g,[ a b] | % 11
      a[ f f] a[ f f] c'16[( b c d) es8] | 
    } | \barNumberCheck #23
    d8[( c) c] d[( c) c] d16[( c d es) f8] | % 24
    c8[ a16( b c d]) es8[ d c] f[ c f] | % 25
    f,8[ g16( a b c]) d8[ es f] b,[( a) g] | % 26
    c16[( d es f) g8] f,16[( g a b) c8] d[ c b] | % 27
    f'[( eis ) f] f[( eis) f] f[( eis) f] | % 28
    c16[( b c d) es8] d[ c b] es[ d c] | % 29
    d16[( c d es) f8] a,[ g f] b16[( a b c) d8] | % 30
    c8[ a16( b c d)] es8[ d c] f[( es) f] | \barNumberCheck #31
    d[ d16( c b a]) g8[ a b] a[ c f] | % 32
    d8[ b16( a b c]) d8[ b16( c d es]) f8[ es d] | % 33
    g8[( f) f] g[( f) f] g[( f) f] | % 34
    b,16[( c d es f8]) d[ c b] d8.[( es16) c8] | % 35
  }
  b2. \bar "||"
}
\addQuote "IVChoralVIMusic" { \IVChoralVIMusic }


IVChoralVIIMusic = \relative c'' {
  \repeat unfold 2 {
    d4 r r | % 2
    \times 2/3 { f8[( es) d] d[ es f] es[( d) c] } | % 3
    d4 c b | % 4
    a g f | % 5
    es'4. g8 d4 | % 6
    c2 b4 | % 7
    \times 2/3 { es8[(\p d) d] es[( d) d] b16[( a b c) d8] } | % 8
    b4\f c b | % 9
    c4. b8 a4 | % 10
    g f eis | % 11
    f c \times 2/3 { a'16[( g a b) c8] } |
  } | \barNumberCheck #23
  \times 2/3 { b8[(\p a) a] b[( a) a] b16[( a b c) d8] } | % 24
  a4\f g f | % 25
  b b g | % 26
  es'4. f8 d4 | % 27
  c2 c4 | % 28
  \times 2/3 { a16[(\pp g a b) c8] b[( a) g] c[( b) a] | % 29
    b16[(\f a b c) d8] } c4 b | % 30
  a4 g f | \barNumberCheck #31
  d'4. es8 c4 | % 32
  b f \times 2/3 {d'8[( c) b] | % 33
    es[(\pp d) d] es[( d) d] es[( d) d] } | % 34
  f,4\f b a | % 35
  f2. \bar"||"
}
\addQuote "IVChoralVIIMusic" { \IVChoralVIIMusic }


IVChoralVaMusic = \relative c' {
  \repeat unfold 2 {
    b4 r r | % 2
    R2. | % 3
    f'4 f eis | % 4
    c a' b | % 5
    c, f b, | % 6
    f' f f | % 7
    R2. | % 8
    f4 f d | % 9
    c g' c, | % 10
    b' d, c | % 11
    c a f | 
  } | \barNumberCheck #23
  R2. | % 24
  f'4 c c' | % 25
  b f es | % 26
  g a f | % 27
  \times 2/3 { a8[( g) a] a[( g) a] a[( g) a] } | % 28
  R2. | % 29
  f4 f f | \barNumberCheck #30
  f c' a | \barNumberCheck #31
  b \times 2/3 {es,8[( f) g] } f4 | % 32
  f r r | % 33
  R2. | % 34
  d4 f f | % 35
  d2. \bar"||"
}
\addQuote "IVChoralVaMusic" { \IVChoralVaMusic }


IVChoralSMusic = \relative c' {
  R2.*2 | % 3
  s8
  % TODO
}
\addQuote "IVChoralSMusic" { \IVChoralSMusic }

IVChoralSLyrics = \lyricmode {
  Je -- su, hilf
  
  % TODO
}


IVChoralAMusic = \relative c' {
  R2.*2 | % 3
  s8
  % TODO
}
\addQuote "IVChoralAMusic" { \IVChoralAMusic }

IVChoralALyrics = \lyricmode {
  Je -- su, hilf
  % TODO
}


IVChoralTMusic = \relative c' {
  R2.*2 | % 3
  b4 f g | % 4
  f f b | % 5
  c a b | % 6
  f'2 d4 | % 7
  R2. | % 8
  b4 f g | % 9
  eis eis f | \barNumberCheck #10
  b b c | % 11
  a2. | % 12
  R2.*2 | % 14
  c4 f g | % 15
  f f b | % 16
  c a b | % 17
  f'2 d4 | % 18
  R2. | % 19
  b4 f g | \barNumberCheck #20 
  eis eis f | % 21
  b b c | % 22
  a2. | % 23
  R2. | % 24
  f4 c' a | % 25
  d d es | % 26
  c a b | % 27
  f'2 f4 | % 28
  R2. | % 29
  b,4 f d' | \barNumberCheck #30
  c c a | % 31
  b es, f | % 32
  f2 f4 | % 33
  R2.*3 \bar "||"
}
\addQuote "IVChoralTMusic" { \IVChoralTMusic }

IVChoralTLyrics = \lyricmode {
  Je -- su, hilf TODO -- gen, du Für -- ste des Le -- bens,
  sich von dir fin -- TODO -- TODO dTODO -- TODOet Ge -- winn.
  
  % TODO
}
IVChoralTLyricsII = \lyricmode {
  Je -- su, hilf TODO -- gen in al -- ler -- ley fäl -- len. 
  Git mir die Wa -- fen und TODOWo -- fer zur Hand.
  Wenn mir die höl -- li -- schen Fein -- de nach -- stel -- len,
  dich mir zu rau -- ben, o e -- del -- stes Pfand. 
  So hilf mir schwa -- chen mit All -- macht und Stär -- ke.
  daß ich o Lieb -- ster dein da -- seyn TODO -- TODO -- TODO.
}


IVChoralContinuoMusic = \relative c' {
  \repeat unfold 2 {
    R2.*2 | % 3
    b4 f g | % 4
    f f b | % 5
    c a b | % 6
    f2 b,4 | % 7
    R2. | % 8
    b'4 f g | % 9
    eis eis f | % 10
    b b c | % 11
    f,2. | % 12
  } | \barNumberCheck #23
  R2. | % 24
  f4 c' a | % 25
  d d, es | % 26
  c a' b | % 27
  f2 f4 | % 28
  R2. | % 29
  b4 f d | % 30
  f c d | \barNumberCheck #31
  b es-> f | % 32
  b,2. | % 33
  R2. | % 34
  d4 b8[ d] f4 | % 35
  b,2. \bar"||"
}
IVChoralVcBMusic = \IVChoralContinuoMusic
\addQuote "IVChoralContinuoMusic" { \IVChoralContinuoMusic }
